Category Archives: autolisp

Default lisp to calculate total areas

لو عندي مجموعة مربعات وعايز احسب مساحاتهم كلهم

ياترى فيه ليسب يعمل الكلام دا

Continue reading →

AutoCAD x,y, coordinates lisp command

بضعط الماوس يقولم الليسب بكتابة الاحداثيات

النسح الكلام التالي

(defun err (s)
  (if (/= s “Function cancelled”)
    (princ (strcat “\nError: ” s))
  )
  (errestore)
)
(defun errinit ()
  (setq olderr *error* 
        *error* err
        DT (getvar “dimtad”)                      ;Save DIMTAD
        AB (getvar “angbase”)                     ;Save ANGBASE
        AD (getvar “angdir”)                      ;Save ANGDIR
  )
  (setvar “dimtad” 0)                             ;Set DIMTAD = 0
  (setvar “angbase” 0)                            ;Set ANGBASE = 0
  (setvar “angdir” 0)                             ;Set ANGDIR = 0
)
(defun errestore ()
  (setvar “dimtad” DT)                            ;Restore DIMTAD
  (setvar “angbase” AB)                           ;Restore ANGBASE
  (setvar “angdir” AD)                            ;Restore ANGDIR
  (setq *error* olderr) 
  (princ)
)
(defun c:xY (/ olderr DT AB AD olddflt dflt prmpt pnt etxt ntxt ctxt
                   ename ent txtpnt txthgt txtjst)
  (errinit)
  
  (setq dflt “2-lines”
        prmpt (strcat “\n  <” dflt “>/1-line/: “))
  (initget “2-lines 1-line”)
  (while (setq pnt (getpoint prmpt))
    (if (/= (type pnt) ‘LIST)
      (progn
        (setq olddflt dflt dflt pnt)
        (if (= dflt “Undo”)
          (progn
            (command “u”)
            (setq dflt olddflt)
          );end progn
        );end if
      );end progn
      (progn
        (command “undo” “group”)
        (if (= dflt “2-lines”)
          (progn
            (setq etxt (strcat (rtos (car pnt) 2 3) ” D”)
                  ntxt (strcat (rtos (cadr pnt) 2 3) ” L”)
            );end setq
            (setvar “texteval” 1)
            (if (= (substr (getvar “acadver”) 1 2) “12”)
              (progn
                (command “dim1” “leader” pnt pause “” etxt)
                (setvar “texteval” 0)
                (setq ename (entlast)
                        ent (entget ename)
                     txtpnt (cdr (assoc 11 ent))
                     txthgt (cdr (assoc 40 ent))
                );end setq
                (if (= (cdr (assoc 72 ent)) 0)(setq txtjst “ml”)(setq txtjst “mr”))
                (setvar “texteval” 1)
                (command “text” txtjst txtpnt txthgt 0 “”)
                (command “text” “” ntxt)
              );end progn
              (command “leader” pnt pause “” etxt ntxt “”)
            );end if
            (setvar “texteval” 0)
          );end progn
        );end if
        (if (= dflt “1-line”)
          (progn
            (setq ctxt (strcat (rtos (car pnt) 2 3) ” D, ” (rtos (cadr pnt) 2 3) ” L”))
            (setvar “texteval” 1)
            (if (= (substr (getvar “acadver”) 1 2) “12”)
              (command “dim1” “leader” pnt pause “” ctxt)
              (command “leader” pnt pause “” ctxt “”)
            );end if
            (setvar “texteval” 0)
          );end progn
        );end if
        (command “undo” “end”)
      );end progn
    );end if
    (cond ((= dflt “2-lines”) (setq prmpt (strcat “\n  <” dflt “>/1-line/Undo/: “)))
          (T                  (setq prmpt (strcat “\n  <” dflt “>/2-lines/Undo/: “)))
    );end cond
    (initget “2-lines 1-line Undo”)
  );end while
  
  (errestore)
);end defun

افتحNotepad –>

الصق ما نسختة

احفظ الملف  xy.ls

 (in the file type, select All Files)

From Autocad –> Tools –> Load Application –> select this file –> Close

Tip: if required this application in every drawing, contents –> Add –> Select file –> Add — Close –> Close.

في command line اكتب 

XY –>

اختر النقطة

Auto-number Attributes

ترقيم البلوكات في الاتوكاد بطريقة تلقائية

Automatically Label Attributes

Function Syntax -None-
Current Version 1.0
Download AutoLabelAttributesV1-0.lsp
View HTML Version AutoLabelAttributesV1-0.html

AutoLabel.gif

ليسب اخر   http://www.cadstudio.cz/en/download.asp?file=InsertC

Free applications and CAD utilities (mostly our freeware)
CAD Utilities
Download InsertC + BlockC – insert new (or renumber existing) blocks with incrementing numbers in attributes (incremental numbering, counter)

صيغة  اخري الليسب

(defun c:mnum(/ stStr stNum nLen cAtr dLst blName
fLst blLst blSet aName sLst lZer aStr)
(vl-load-com)
(if
(and
(setq stStr(getstring “\nSpecify start number: “))
(setq stNum(atoi stStr))
(setq nLen(strlen stStr))
); end and
(progn
(if
(and
(setq cAtr(nentsel “\nPick attribute > “))
(= “ATTRIB”(cdr(assoc 0(setq dLst(entget(car cAtr))))))
); end and
(progn
(setq blName
(vla-get-Name
(vla-ObjectIDToObject
(vla-get-ActiveDocument
(vlax-get-acad-object))
(vla-get-OwnerID
(vlax-ename->vla-object(car cAtr)))))
fLst(list ‘(0 . “INSERT”)(cons 2 blName))
aName(cdr(assoc 2 dLst))
); end setq
(princ “\n<<< Select blocks to number >>> “)
(if
(setq blSet(ssget fLst))
(progn
(setq sLst
(mapcar ‘vlax-ename->vla-object
(mapcar ‘car
(vl-sort
(vl-sort
(mapcar ‘(lambda(x)(list x(cdr(assoc 10(entget x)))))
(vl-remove-if ‘listp
(mapcar ‘cadr(ssnamex blSet))))
‘(lambda(a b)(<(caadr a)(caadr b))))
‘(lambda(a b)(>(cadadr a)(cadadr b)))))))
(foreach i sLst
(setq lZer “”)
(repeat(- nLen(strlen(itoa stNum)))
(setq lZer(strcat lZer “0”))
); end repeat
(setq atLst
(vlax-safearray->list
(vlax-variant-value
(vla-GetAttributes i))))
(foreach a atLst
(if
(= aName(vla-get-TagString a))
(vla-put-TextString a
(strcat lZer(itoa stNum)))
); end if
); end foreach
(setq stNum(1+ stNum))
); end foreach
); end progn
(princ “\nEmpty selection! Quit. “)
); end if
); end progn
(princ “\nThis isn’t attribute! Quit. “)
); end if
); end progn
(princ “\nInvalid start number! Quit. “)
); end if
(princ)
); end of c:mnum

ليسبات جاهزه

وياريت لو في ليسبات جاهزه خاصة في التكييف نحملها علي طول ياريت لو ترفعهالنا وشكرا مقدما 🙂

http://forums.augi.com/showthread.php?83572-RADIUS-ELBOW-(HVAC-DUCTWORK-LSP)

Continue reading →

opendcl

AutoLISP: Add length annotations to objects

 

ليسبات  AUTOLISP

لكتابة المعلومات على خطوطك

measure drawing

download Length at Midpoint program here.

 

تحميل مجاني MidLenV1-0.lsp

اكتب الطول على

Arcs, Circles, Lines, LWPolylines, 2D & 3D Polylines

متقولش للمدير عليه و خلص شغلك بدري

Length at Midpoint Demo

ادراج PDF في لوحة الاتوكاد

برنامج مفتوح المصدر و مجاني

sourceforge.net/projects/vectpdf/?source=directory

 

 

Toolbar Button

أوتوليسب للمساحين

Kordil AcadTRK هو عبارة عن سلسلة من البرامج أوتوليسب للمساحين لاستخدامها في أوتوكاد. وتم دعم البرامج مع معالج التثبيت والقوائم. أداة مثالية للبناء والأراضي المساحين. إحداثيات من وإلى ملف، رموز الخريطة، settingout. إلخ

 

 

http://sourceforge.net/projects/kordilacadtrk/?source=directory

مساعدة في أحد أوامر الليسب

السلام عليكم

الله يعطيك ألف عافية بجد شرحك لأوامر الليسب رائع جدا وفي ميزان حسناتك ان شاء الله

لدي مشكلة أن أمر entsel

لم أعرف ما استخداماته فمن فضلك إذا عندك اي معلومة عنه تفيدني

وجدته في لسب (struct ) في هذا السطر

(setq poly (car (entsel “\nSelect boundary PLINE :”))

لما استخدم الأمر بيطلع خطأ

lentityp nil

للعلم/ أن وظيفة الليسب هو رسم الأعصاب (أحجار السقف ) هيك عنا اسمها بغزة ما بعرف شو بتسموها بمصر

وبارك الله فيك 

و عليكم السلام

يستخدم لتحديد عنصر واحد  و هنا قم بتحديد بولي لاين

و تحية لاهل غزة

و اهديكم كتابي

للاضافة اليك صفحة من الهيلب

entsel (AutoLISP)

Prompts the user to select a single object (entity) by specifying a point

(entsel [msg])

Arguments

msg
A prompt string to be displayed to users. If omitted, entsel prompts with the message, “Select object.”

Return Values

A list whose first element is the entity name of the chosen object and whose second element is the coordinates (in terms of the current UCS) of the point used to pick the object.

The pick point returned by entsel does not represent a point that lies on the selected object. The point returned is the location of the crosshairs at the time of selection. The relationship between the pick point and the object will vary depending on the size of the pickbox and the current zoom scale.

Examples

The following AutoCAD command sequence illustrates the use of the entsel function and the list returned:

Command: line

From point: 1,1

To point: 6,6

To point: ENTER

Command: (setq e (entsel “Please choose an object: “))

Please choose an object: 3,3

(<Entity name: 60000014> (3.0 3.0 0.0))

When operating on objects, you may want to simultaneously select an object and specify the point by which it was selected. Examples of this in AutoCAD can be found in Object Snap and in the BREAK, TRIM, and EXTEND commands in the Command Reference. The entsel function allows AutoLISP programs to perform this operation. It selects a single object, requiring the selection to be a pick point. The current Osnap setting is ignored by this function unless you specifically request it while you are in the function. The entsel function honors keywords from a preceding call to initget .

See Also

  • The entget, entmake, entnext, handent, and initget functions.

موقع ليسبات

http://www.cadstudio.cz/en/download.asp

اجمل صفحة شفتها تجمع ليسبات

Continue reading →

ليسب LLN

 

 

https://www.box.com/s/xxh92utypgv8di65eumb

ليسبات لقسم مساحة

بسم الواحد الاحد الفرد الصمد

اليكم ليسبات لمن يعمل في المساحة او الاتوكاد عموما

https://www.dropbox.com/sh/7tpaltf5xdvi7e2/wWK-e90DUw

للاشتراك في الدروب بوكس

http://db.tt/Zqjn1JRs

  Continue reading →

سؤال عن الليسبات

السلام عليكم ورحمه الله وبركاته
كيف احوالك مهندسنا الكريم
يارب تكون بافضل حال
بالنسبة لكتاب حضرتك الخاص بتعليم اتوليسب انا قربت على الانتهاء منه
وما شاء الله كتاب ممتاز وشرحه بسيط
ولكن ما الخطوة الى بعد هذا الكتاب فى تعليم الاتوليسب
وما الافضل والاسهل الاتوليسب اما برمجة الكاد فالجيوال دوت نت
وهل فى مراكز معروفة فى مصر لتعليم الاتوليسب وبرمجة الاتوكاد ؟
ولو حضرتك تعرف اماكن كويسة ياريت تدلنا على العنوان؟
شاكرين افضال حضرتك وجزاك الله من خيرى الدنيا والاخرة
وتقبل سلامى واحترامى

و عليكم السلام

بالنسبة لليسب فيه كتاب لجورج اومورا موجود علي النت ببلاش

http://www.caddsoftsolutions.com/ABC%E2%80%99s-of-AutoLISP-by-George-Omura-Download-PDF.htm

لتعليم الفيجوال بيسك ابليكاشن https://draftsman.wordpress.com/2013/02/18/macro-cad/

%d مدونون معجبون بهذه: